<?php

namespace FiloBlu\Refilo\Model;

use Magento\Catalog\Api\Data\ProductInterface;

/**
 * Class Related
 * @package FiloBlu\Refilo\Model
 */
class Related extends \Magento\TargetRule\Block\Catalog\Product\ProductList\Related
{

    /**
     * @var ProductInterface|null
     */
    protected $currentProduct = null;

    /**
     * @return ProductInterface|\Magento\Catalog\Model\Product|null
     */
    public function getProduct()
    {
        return $this->currentProduct;
    }

    /**
     * @param ProductInterface $product
     * @return $this
     */
    public function setProduct(ProductInterface $product)
    {
        $this->currentProduct = $product;
        return $this;
    }

    /**
     * @return false
     */
    public function isShuffled()
    {
        return false;
    }

    public function getPositionLimit()
    {
        return 10000;
    }

    protected function _getPreparedTargetLinkCollection($limit = null)
    {
        return parent::_getPreparedTargetLinkCollection(null)->setPositionOrder();
    }

}
